# \_new

Creates a new Quote for a Customer.

### Parameters

#### user\_id

The ID of the User.

#### customer\_id

The ID of the Customer.

#### total\_tax

The total tax amount.

#### total\_gross

The total gross amount.

#### total\_net

The total net amount.

### Example

```
FM_api('Quote_new', ['user_id' => '123', 'customer_id' => '456', 'total_tax' => 1.00, 'total_gross' => 1.00, 'total_net' => 4.00]);
```

### Result

#### On Success

```
{'ok':1,'id':'123'}
```

#### On Failure

If the specified User does not exist:

```
{'no such user'}
```

If the specified Customer does not exist:

```
{'error':'no such customer'}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/quote/_new.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
